# AP4_ObjectDescriptor Class Reference

`#include <Ap4ObjectDescriptor.h>`

Inheritance diagram for AP4_ObjectDescriptor:

List of all members.

## Public Member Functions
| AP4_ObjectDescriptor (AP4_ByteStream &stream, AP4_UI08 tag, AP4_Size header_size, AP4_Size payload_size)
virtual | ~AP4_ObjectDescriptor ()
virtual AP4_Result | AddSubDescriptor (AP4_Descriptor *descriptor)
virtual const AP4_Descriptor * | FindSubDescriptor (AP4_UI08 tag) const
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
AP4_UI16 | GetObjectDescriptorId () const
bool | GetUrlFlag () const
const AP4_String & | GetUrl () const
## Protected Member Functions
| AP4_ObjectDescriptor (AP4_UI08 tag, AP4_Size header_size, AP4_Size payload_size)
## Protected Attributes
AP4_UI16 | m_ObjectDescriptorId
bool | m_UrlFlag
AP4_String | m_Url
AP4_List< AP4_Descriptor > | m_SubDescriptors

## Detailed Description

Definition at line 56 of file Ap4ObjectDescriptor.h.

## Constructor & Destructor Documentation

AP4_ObjectDescriptor::AP4_ObjectDescriptor | ( | AP4_ByteStream & | stream,
|  | AP4_UI08 | tag,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  |

virtual AP4_ObjectDescriptor::~AP4_ObjectDescriptor | ( |  | ) | `[virtual]`

AP4_ObjectDescriptor::AP4_ObjectDescriptor | ( | AP4_UI08 | tag,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual AP4_Result AP4_ObjectDescriptor::AddSubDescriptor | ( | AP4_Descriptor * | descriptor | ) | `[virtual]`

virtual const AP4_Descriptor* AP4_ObjectDescriptor::FindSubDescriptor | ( | AP4_UI08 | tag | ) | const`[virtual]`

virtual AP4_Result AP4_ObjectDescriptor::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Expandable.

Reimplemented in AP4_InitialObjectDescriptor.

virtual AP4_Result AP4_ObjectDescriptor::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Descriptor.

Reimplemented in AP4_InitialObjectDescriptor.

AP4_UI16 AP4_ObjectDescriptor::GetObjectDescriptorId | ( |  | ) | const`[inline]`

Definition at line 71 of file Ap4ObjectDescriptor.h.

References m_ObjectDescriptorId.

bool AP4_ObjectDescriptor::GetUrlFlag | ( |  | ) | const`[inline]`

Definition at line 72 of file Ap4ObjectDescriptor.h.

References m_UrlFlag.

const AP4_String& AP4_ObjectDescriptor::GetUrl | ( |  | ) | const`[inline]`

Definition at line 73 of file Ap4ObjectDescriptor.h.

References m_Url.

## Member Data Documentation

AP4_UI16 AP4_ObjectDescriptor::m_ObjectDescriptorId`[protected]`

Definition at line 80 of file Ap4ObjectDescriptor.h.

Referenced by GetObjectDescriptorId().

bool AP4_ObjectDescriptor::m_UrlFlag`[protected]`

Definition at line 81 of file Ap4ObjectDescriptor.h.

Referenced by GetUrlFlag().

AP4_String AP4_ObjectDescriptor::m_Url`[protected]`

Definition at line 82 of file Ap4ObjectDescriptor.h.

Referenced by GetUrl().

AP4_List<AP4_Descriptor> AP4_ObjectDescriptor::m_SubDescriptors`[mutable, protected]`

Definition at line 83 of file Ap4ObjectDescriptor.h.

The documentation for this class was generated from the following file:

- Ap4ObjectDescriptor.h